@import "../partials/colors";
@import '../partials/reset';
@import '../partials/demensions';
@import '../partials/mixins';
@import url(https://fonts.googleapis.com/css2?family=Montserrat&display=swap);



.categorie-nav{
    max-width: $maxWidthPage !important;
    padding: $normalPadding 0 !important;

}
.product-detail-page{

    background-color: $white;
    min-height: 60vh;
    width: 100%;
    max-width: $maxWidthPage;
    @include flexBox(row,space-between,flex-start);
    .product-detail-images{
        padding: $bigPadding;
        // background-color: $white;
        width: 60%;
        @include flexBox(row);
        .carousel{
            border-radius: 5px;
            .product-slider-img{
                width: 100%;
            }
     
            width: 80% !important;
            
        }
        .carousel-root{
            height: 100%;
            width: 90% !important;
            @include flexBox(column);
        }
        .slide{
            @include flexBox(column);
            // background-color: $white ;
        }

    }
    .product-detail-summary{
        border-radius: 5px;
        margin: $bigPadding;
        padding : $normalPadding;
        background-color: $secondBackground;
        width: 40%;
        text-align: center;
        @include flexBox();
        .discr{
            background-color: $white;
            padding: $normalPadding;
            line-height: 1.7rem;
            text-align: left;
            margin-bottom: 10px;
 
        }
        h2{
            padding-top: 25px;
            padding-bottom: 15px;
            font-size: 1.8rem;
        }
        .details{
            width:65%;
            border-radius: 10px;
            .price{
                border-bottom: none;
                height: 65px;
                position: relative;
                background-color: $white;   
                .price-nopromo{
                    font-size: 1.7rem;
                    width: 100%;
                    padding: $normalPadding;
                    text-align: center;
                }  
                .promo-overlay{
                    padding: $normalPadding;
                    width: 80%;
                    font-size: 1.4rem;
                    color: $red;
                    background-color: transparent;
                    position: absolute;
                    top: 25px;
                    left:5%;
                }
                .price-background{
                    text-decoration: line-through;
                    padding: $normalPadding;
                    color: $gray;
                    font-size: 0.9rem;
                }
            }
            div{
                
                background-color: $secondBackground;
                margin-bottom: 1px;
                border-bottom: 1px solid $black;
                
                @include flexBox(row,space-between);
                div{
                    padding: $normalPadding;
                    border-bottom: none;
                
                }
                // width: 100%;
            }
        }
        .product-detail-inbasket{
            width: 100%;
            .in-basket{
                background-color: $white;
                color: $black;
                border: 1px solid $black;
                a{
                    text-decoration: none;
                    color:$black;
                }

            }

            padding: $bigPadding 0;
            @include flexBox(row, center);
            div{
                border-radius: 4px;
                width: 90%;
                
                background-color: $black;
                color:$white;
                transition: all 500ms;
                font-size: 1.5rem;
                text-align: center;
                p{
                    padding: $normalPadding;
                }
                &:hover{
                    cursor: pointer;

                    width: 95%;
                    font-size: 1.6rem;
                    transition: all 500ms;
                }
            }
        }
    }

    @media only screen and(max-width: 900px){

        max-width: 100vw;
        flex-direction: column !important;
        .product-detail-images{
            margin: $bigPadding 0 !important;
            padding: 0 !important;
            width:100% !important;
            .carousel{
                width: 80vw !important;
            }
        }
        .product-detail-summary{
            h2{
                // margin-top: 20px !important;

            }
          
            padding: 0 !important;
            margin: 0 !important;
           width:  100%;
          
        }
    }
}